
Installer - Bug #26764

Forklift install fails due to puppet incompatability

05/09/2019 05:08 AM - Kirk McCann

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm running

ansible-playbook -l localhost playbooks/katello.yml -e foreman_repositories_version=1.18 -e katell

o_repositories_version=3.7

 I get the error:

TASK [foreman_installer : Run installer] *********************************************************

*****************

fatal: [localhost]: FAILED! => changed=true 

  cmd: foreman-installer -v --scenario katello  --disable-system-checks --foreman-admin-password c

hangeme

  delta: '0:00:03.911705'

  end: '2019-05-09 00:00:39.795060'

  msg: non-zero return code

  rc: 30

  start: '2019-05-09 00:00:35.883355'

  stderr: ''

  stderr_lines: []

  stdout: |-

    Puppet 6.4.2 does not meet requirements for puppetlabs-apache (>= 4.7.0 < 6.0.0)

History

#1 - 05/09/2019 05:23 AM - Kirk McCann

If I choose to install a newer version then I get error about puppet modules

ansible-playbook -l localhost playbooks/katello.yml -e foreman_repositories_version=1.21 -e katello_repositori

es_version=3.11

 
TASK [foreman_installer : Run installer] *********************************************************************

*****

fatal: [localhost]: FAILED! => changed=true 

  cmd: foreman-installer -v --scenario katello  --disable-system-checks --foreman-initial-admin-password chang

eme

  delta: '0:00:01.260710'

  end: '2019-05-09 00:20:53.204502'

  msg: non-zero return code

  rc: 1

  start: '2019-05-09 00:20:51.943792'

  stderr: |-

    /usr/share/gems/gems/kafo-3.0.0/lib/kafo/puppet_module.rb:69:in `parse': No Puppet module parser is instal

led and no cache of the file /usr/share/foreman-installer/modules/certs/manifests/init.pp is available. Please

 check debug logs and install optional dependencies for the parser. (Kafo::ParserError)

            from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/configuration.rb:96:in `block in modules'

            from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/configuration.rb:96:in `map'

            from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/configuration.rb:96:in `modules'
            from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/configuration.rb:214:in `params'

            from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/configuration.rb:224:in `preset_defaults_from_puppet

'

            from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/kafo_configure.rb:285:in `set_parameters'

            from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/kafo_configure.rb:100:in `initialize'

            from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `new'

            from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `run'

            from /usr/share/gems/gems/kafo-3.0.0/lib/kafo/kafo_configure.rb:163:in `run'

            from /sbin/foreman-installer:8:in `<main>'

  stderr_lines:

  - '/usr/share/gems/gems/kafo-3.0.0/lib/kafo/puppet_module.rb:69:in `parse'': No Puppet module parser is inst

alled and no cache of the file /usr/share/foreman-installer/modules/certs/manifests/init.pp is available. Plea

se check debug logs and install optional dependencies for the parser. (Kafo::ParserError)'

  - "\tfrom /usr/share/gems/gems/kafo-3.0.0/lib/kafo/configuration.rb:96:in `block in modules'" 

  - "\tfrom /usr/share/gems/gems/kafo-3.0.0/lib/kafo/configuration.rb:96:in `map'" 

  - "\tfrom /usr/share/gems/gems/kafo-3.0.0/lib/kafo/configuration.rb:96:in `modules'" 

#2 - 05/09/2019 11:25 PM - Kirk McCann

I have tried all these iterations:

foreman_repositories_version=1.20

katello_repositories_version=3.9

Puppet 6.4.2 does not meet requirements for theforeman-dhcp (>= 4.6.1 < 6.0.0)

foreman_repositories_version=1.21

katello_repositories_version=3.8

Error: Package: tfm-rubygem-anemone-0.7.2-15.el7.noarch (katello)^[[0m

Requires: tfm-ror51-rubygem(nokogiri) >= 1.3.0^[[0m

Error: Package: tfm-rubygem-runcible-2.8.1-1.el7.noarch (katello)^[[0m

Requires: tfm-ror51-rubygem(i18n) >= 0.5.0^[[0m

Error: Package: tfm-rubygem-runcible-2.8.1-1.el7.noarch (katello)^[[0m

Requires: tfm-ror51-rubygem(activesupport) >= 3.0.10^[[0m

Error: Package: tfm-rubygem-katello-3.8.1-1.el7.noarch (katello)^[[0m

Requires: tfm-ror51-rubygem(rails)^[[0m

foreman_repositories_version=1.21

katello_repositories_version=3.9

Error: Package: tfm-rubygem-katello-3.9.1-2.el7.noarch (katello)

Requires: foreman-webpack-vendor-js(8f1a560ed7b654fe8dba)

foreman_repositories_version=1.21

katello_repositories_version=3.10

Error: Package: tfm-rubygem-katello-3.10.1.1-1.el7.noarch (katello)

Requires: foreman-webpack-vendor-js(8f1a560ed7b654fe8dba)

foreman_repositories_version=1.21

katello_repositories_version=3.11

Puppet 6.4.2 does not meet requirements for thias-squid3 (>=2.7.20 <6.0.0)

foreman_repositories_version=1.22

katello_repositories_version=3.8

Error: Package: tfm-rubygem-katello-3.8.1-1.el7.noarch (katello)

Requires: tfm-rubygem(bastion) < 7.0.0

Error: Package: tfm-rubygem-katello-3.8.1-1.el7.noarch (katello)

Requires: tfm-rubygem(bastion) >= 6.1.9

Error: Package: tfm-rubygem-katello-3.8.1-1.el7.noarch (katello)

Requires: tfm-ror51-rubygem(rails)

Error: Package: tfm-rubygem-anemone-0.7.2-15.el7.noarch (katello)

Requires: tfm-ror51-rubygem(nokogiri) >= 1.3.0

Error: Package: tfm-rubygem-runcible-2.8.1-1.el7.noarch (katello)

Requires: tfm-ror51-rubygem(i18n) >= 0.5.0

Error: Package: tfm-rubygem-runcible-2.8.1-1.el7.noarch (katello)

Requires: tfm-ror51-rubygem(activesupport) >= 3.0.10

foreman_repositories_version=1.22

katello_repositories_version=3.9

Error: Package: tfm-rubygem-katello-3.9.1-2.el7.noarch (katello)

Requires: tfm-rubygem(bastion) >= 6.1.13

Error: Package: tfm-rubygem-katello-3.9.1-2.el7.noarch (katello)

Requires: foreman-webpack-vendor-js(8f1a560ed7b654fe8dba)

Error: Package: tfm-rubygem-katello-3.9.1-2.el7.noarch (katello)

Requires: tfm-rubygem(bastion) < 7.0.0

foreman_repositories_version=1.22

katello_repositories_version=3.10
Error: Package: tfm-rubygem-katello-3.10.1.1-1.el7.noarch (katello)^[[0m

Requires: tfm-rubygem(bastion) < 7.0.0^[[0m

Error: Package: tfm-rubygem-katello-3.10.1.1-1.el7.noarch (katello)^[[0m

Requires: foreman-webpack-vendor-js(8f1a560ed7b654fe8dba)^[[0m

Error: Package: tfm-rubygem-katello-3.10.1.1-1.el7.noarch (katello)^[[0m

Requires: tfm-rubygem(bastion) >= 6.1.13^[[0m

foreman_repositories_version=1.22

katello_repositories_version=3.11

Error: Package: tfm-rubygem-katello-3.11.1-1.el7.noarch (katello)^[[0m

Requires: tfm-rubygem(bastion) < 7.0.0^[[0m

Error: Package: tfm-rubygem-katello-3.11.1-1.el7.noarch (katello)^[[0m

Requires: tfm-rubygem(bastion) >= 6.1.13^[[0m

Error: Package: tfm-rubygem-katello-3.11.1-1.el7.noarch (katello)^[[0m

Requires: foreman-webpack-vendor-js(9cba589aa9b597d337bb)^[[0m

The only way I have gotten it to work was to change roles/puppet_repositories/defaults/main.yml and set it to 5.

Then install foreman_repositories_version=1.20 katello_repositories_version=3.9

#3 - 06/06/2019 03:49 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

That's expected. Foreman 1.22 is the first version to add support for Puppet 6 and there are known compatibility issues. In the generated boxes we

set the correct combinations. This uses https://github.com/theforeman/forklift/blob/master/vagrant/config/versions.yaml.

The forklift project doesn't use Redmine so in the future I'd recommend opening an issue on Github to get the correct people to see it.
